#ifndef _RS_H_
#define _RS_H_

#include <avr/io.h>
#include <avr/pgmspace.h>

#define byte unsigned char

void rs_initialize ();
void send_rs_char ( unsigned char data );
void send_rs_byte ( unsigned char data );
void send_rs_byte_hex ( unsigned char data );
void send_rs_message ( byte* begin );
void send_rs_message_nl ( byte* begin );
void send_rs_hexstream ( byte* begin, int size );
void send_rs_newline ();

#endif
